

````
#include <WiFi.h>
#include <FirebaseESP32.h>
#define WIFI_SSID "Freebox-SRBELEC"
#define WIFI_PASSWORD "bougie06"
#define FIREBASE_HOST "visaal-fc520.firebaseio.com" //Do not include https:// in FIREBASE_HOST
#define FIREBASE_AUTH "CnRD2EtE1QOO5TlJQQOM8Z4wo7ez13ULtHD2IxT7"
#define FIREBASE_FCM_SERVER_KEY "AAAA_-HZ4vU:APA91bGjAa6RmJJIlE9JJmP_bfY2kgQ5U67D9_erhhrgk2jX7JZkTtj8qak2PYE5LlzIGW_LqLloVEMQNs5TdjYOsD3QoH62I7fw7SjemdY1u2YfHrJl9IhH-5DsNHTgKSr60Tiv3VAE"
#define FIREBASE_FCM_DEVICE_TOKEN_1 "fSr9yrY9V1hFlVHOUj83VM:APA91bG-KlNtYfTM0Va8Z7HfnlGx3U813YWet0Q-bExycmK58aAREAT4N7IvbUnSQS0bGGzK_9eOgd0DD2NBbW6Fx6ezY2V-Ev3rwzBVoOnhejkojNxIOXIW8YN5Zqtb2-wnm4ZF7FKP"
#define niveau 16
FirebaseData firebaseData1;
void sendMessage();
void setup()
{
    Serial.begin(115200);
    pinMode(niveau, INPUT);
    WiFi.begin(WIFI_SSID, WIFI_PASSWORD);
    Serial.print("Connecting to Wi-Fi");
    while (WiFi.status() != WL_CONNECTED)
    {
        Serial.print(".");
        delay(300);
    }
    Serial.println();
    Serial.print("Connected with IP: ");
    Serial.println(WiFi.localIP());
    Serial.println();
    Firebase.begin(FIREBASE_HOST, FIREBASE_AUTH);
    Firebase.reconnectWiFi(true);
    firebaseData1.fcm.begin(FIREBASE_FCM_SERVER_KEY);
    firebaseData1.fcm.addDeviceToken(FIREBASE_FCM_DEVICE_TOKEN_1);
    firebaseData1.fcm.setPriority("high");
    firebaseData1.fcm.setTimeToLive(1000);
    sendMessage();
}
void loop()
{
int lecture = digitalRead(niveau);
    if (lecture == 0)
    {
        sendMessage();
    }
    delay(5000);
}
void sendMessage()
{
    Serial.println("------------------------------------");
    Serial.println("Send Firebase Cloud Messaging...");
    firebaseData1.fcm.setNotifyMessage("Notification", "Bonjour, le réservoir d'urine est plein ");
    if (Firebase.sendMessage(firebaseData1, 0))//send message to recipient index 0
    {
        Serial.println("PASSED");
        Serial.println(firebaseData1.fcm.getSendResult());
        Serial.println("------------------------------------");
        Serial.println();
    }
    else
   
    {
        Serial.println("FAILED");
        Serial.println("REASON: " + firebaseData1.errorReason());
        Serial.println("------------------------------------");
        Serial.println();
    }
}




````

